About DialysisStimuli

 Top Next

Purpose

Noncontingent presentation of stimuli for a dialysis experiment.

Console-mode client.

Written for Rutsuko Ito, 1999.

Software requirements

Requires Whisker v2.0 or greater.

Data storage

None.

Author

Rudolf Cardinal (rudolf@pobox.com).

Copyright

Copyright © Cambridge University Technical Services Ltd


Task details

 Top Previous Next

As the code stands, DialysisStimuli runs through the following sequence:

1. Houselight/CS light/clicker off.
2. Waits 2 min.
3. Presents 5 on/off cycles of either clicker (10-Hz clicking, on for 10s, off for 40s) or light (15s on, 35s off) stimulus, separated by 6-min periods of darkness and nothing-ness.
4. Waits 6 min.
5. Repeat steps 2-4 twice more for a total of 3 presentations of the same stimulus.
6. Repeat steps 2-5 for the other stimulus.

You can choose whether to use the clicker or light first, and which light to use.

No data is recorded.

While the task is running it looks like this:


Required devices

 Top Previous

The program requires to claim devices in groups named box0, box1, box2… with device names as follows:

// Names of lines the program expects to be able to claim

HOUSELIGHT        // output

LEFTLIGHT        // output

RIGHTLIGHT        // output

CLICKER        // output

// Aliases used while the program is in full flight, which it therefore expects not to be present on the server:

CSLIGHT

Please ensure that devices named 'HOUSELIGHT', 'LEFTLIGHT', etc. are available and listed in the device definition file in use by the server. An excerpt from an appropriate device definition file is given below:

# Box 0 definition

line 0 box0 NOSEPOKE

line 1 box0 LEFTLEVER

line 2 box0 RIGHTLEVER

line 3 box0 LOCOBEAM_FRONT

line 4 box0 LOCOBEAM_MIDDLE

line 5 box0 LOCOBEAM_REAR

line 24 box0 HOUSELIGHT

line 25 box0 LEFTLIGHT

line 26 box0 RIGHTLIGHT

line 27 box0 TRAYLIGHT

line 28 box0 PUMP

line 29 box0 CLICKER

line 30 box0 LEFTLEVERCONTROL

line 31 box0 RIGHTLEVERCONTROL

# Box 1 definition

line 6 box1 NOSEPOKE

line 7 box1 LEFTLEVER

line 8 box1 RIGHTLEVER

line 9 box1 LOCOBEAM_FRONT

line 10 box1 LOCOBEAM_MIDDLE

line 11 box1 LOCOBEAM_REAR

line 32 box1 HOUSELIGHT

line 33 box1 LEFTLIGHT

line 34 box1 RIGHTLIGHT

line 35 box1 TRAYLIGHT

line 36 box1 PUMP

line 37 box1 CLICKER

line 38 box1 LEFTLEVERCONTROL

line 39 box1 RIGHTLEVERCONTROL

# ... etc.